# Uses of Interface
org.eclipse.birt.report.engine.content.IDataContent

Packages that use IDataContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IDataContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IDataContent
Modifier and Type
Method
Description
`IDataContent`
IReportContent.`createDataContent()`
create the data content.
`IDataContent`
IReportContent.`createDataContent(IContent content)`
create the data content, copy the properties from the template content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IDataContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitData(IDataContent data, Object value)`

## Uses of IDataContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IDataContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startData(IDataContent data)`
Start data